package com.ruoyi.abuwx.mapper;

import java.util.List;

import com.ruoyi.abuwx.domain.CardPassword;

/**
 * 卡密管理Mapper接口
 *
 * @author lujie
 * @date 2025-01-07
 */
public interface CardPasswordMapper {
    /**
     * 查询卡密管理
     *
     * @param id 卡密管理主键
     * @return 卡密管理
     */
    public CardPassword selectCardPasswordById(Long id);

    /**
     * 查询卡密管理列表
     *
     * @param cardPassword 卡密管理
     * @return 卡密管理集合
     */
    public List<CardPassword> selectCardPasswordList(CardPassword cardPassword);

    /**
     * 新增卡密管理
     *
     * @param cardPassword 卡密管理
     * @return 结果
     */
    public int insertCardPassword(CardPassword cardPassword);

    /**
     * 修改卡密管理
     *
     * @param cardPassword 卡密管理
     * @return 结果
     */
    public int updateCardPassword(CardPassword cardPassword);

    /**
     * 删除卡密管理
     *
     * @param id 卡密管理主键
     * @return 结果
     */
    public int deleteCardPasswordById(Long id);

    /**
     * 批量删除卡密管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCardPasswordByIds(Long[] ids);
}
